> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiworkflow executionsevents



## OpenAPI

````yaml /api-reference/openapi.json post /api/workflow-executions/events
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /api/workflow-executions/events:
    post:
      tags:
        - WorkflowExecution
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowEventProcessRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowEventProcessRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/WorkflowsWorkflowEventProcessRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    WorkflowsWorkflowEventProcessRequest:
      type: object
      properties:
        eventType:
          type: string
          nullable: true
        eventData:
          nullable: true
        entityId:
          type: string
          nullable: true
        entityType:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
        source:
          type: string
          nullable: true
        correlationId:
          type: string
          nullable: true
      additionalProperties: false

````